mstate Struct Reference

## Data Fields

binmap_t | smallmap
binmap_t | treemap
size_t | dvsize
size_t | topsize
char * | least_addr
mchunkptr | dv
mchunkptr | top
size_t | trim_check
size_t | magic
mchunkptr | smallbins [(NSMALLBINS+1) *2]
tbinptr | treebins [NTREEBINS]
size_t | footprint
size_t | max_footprint
flag_t | mflags
MLOCK_T | mutex
msegment | seg

## Detailed Description

Definition at line 2044 of file SDL_malloc.c.

## Field Documentation

## dv

mchunkptr mstate::dv

Definition at line 2051 of file SDL_malloc.c.

## dvsize

size_t mstate::dvsize

Definition at line 2048 of file SDL_malloc.c.

## footprint

size_t mstate::footprint

Definition at line 2057 of file SDL_malloc.c.

Referenced by change_mparam(), and dlmallopt().

## least_addr

char* mstate::least_addr

Definition at line 2050 of file SDL_malloc.c.

## magic

size_t mstate::magic

Definition at line 2054 of file SDL_malloc.c.

## max_footprint

size_t mstate::max_footprint

Definition at line 2058 of file SDL_malloc.c.

Referenced by dlmallopt().

## mflags

flag_t mstate::mflags

Definition at line 2059 of file SDL_malloc.c.

## mutex

MLOCK_T mstate::mutex

Definition at line 2061 of file SDL_malloc.c.

## seg

msegment mstate::seg

Definition at line 2063 of file SDL_malloc.c.

## smallbins

mchunkptr mstate::smallbins[(NSMALLBINS+1) *2]

Definition at line 2055 of file SDL_malloc.c.

## smallmap

binmap_t mstate::smallmap

Definition at line 2046 of file SDL_malloc.c.

## top

mchunkptr mstate::top

Definition at line 2052 of file SDL_malloc.c.

## topsize

size_t mstate::topsize

Definition at line 2049 of file SDL_malloc.c.

## treebins

tbinptr mstate::treebins[NTREEBINS]

Definition at line 2056 of file SDL_malloc.c.

## treemap

binmap_t mstate::treemap

Definition at line 2047 of file SDL_malloc.c.

## trim_check

size_t mstate::trim_check

Definition at line 2053 of file SDL_malloc.c.

The documentation for this struct was generated from the following file:

- src/stdlib/SDL_malloc.c